# $Revision: 1.11 $, $Date: 2010/11/13 00:31:30 $
Summary:	SSLv3/TLS network protocol analyzer
Summary(pl.UTF-8):	Analizator protokołu sieciowego SSLv3/TLS
Name:		ssldump
Version:	0.9b3
Release:	6
Epoch:		0
License:	BSD
Group:		Networking/Utilities
Source0:	http://www.rtfm.com/ssldump/%{name}-%{version}.tar.gz
# Source0-md5:	ac8c28fe87508d6bfb06344ec496b1dd
Patch0: 	%{name}-openssl.patch
URL:		http://www.rtfm.com/ssldump/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libpcap-devel >= 2:0.8.3
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ssldump is an SSLv3/TLS network protocol analyzer. It identifies TCP
connections on the chosen network interface and attempts to interpret
them as SSLv3/TLS traffic. When it identifies SSLv3/TLS traffic, it
decodes the records and displays them in a textual form to stdout. If
provided with the appropriate keying material, it will also decrypt
the connections and display the application data traffic.

%description -l pl.UTF-8
ssldump to analizator protokołu sieciowego SSLv3/TLS. Identyfikuje
połączenia TCP na wybranym interfejsie sieciowym i próbuje
interpretować je jako ruch SSLv3/TLS. Po zidentyfikowaniu ruchu
SSLv3/TLS dekoduje rekordy i wyświetla je w postaci tekstowej na
standardowym wyjściu. W przypadku wyposarzenia we właściwe klucze
będzie także dekodował połączenia i wyświetlał ruch danych aplikacji.

%prep
%setup -q
%patch0 -p1

sed -i -e 's#libpcap.a#libpcap.so#g' configure*
sed -i -e 's#net/bpf.h#pcap-bpf.h#g' base/pcap-snoop.c

%build
cp -f %{_datadir}/automake/config.* .
%{__aclocal}
%{__autoconf}
%configure \
	--with-pcap-inc=%{_includedir} \
	--with-pcap-lib=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	BINDIR=$RPM_BUILD_ROOT%{_sbindir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS README
%attr(755,root,root) %{_sbindir}/ssldump
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ssldump.spec,v $
Revision 1.11  2010/11/13 00:31:30  pawelz
- release 6

Revision 1.10  2010/05/22 17:45:39  gotar
- fixed Group

Revision 1.9  2010/04/12 19:30:38  arekm
- release 5

Revision 1.8  2010/04/03 17:26:45  glen
- release 4

Revision 1.7  2007/06/14 18:01:06  arekm
- rel 3

Revision 1.6  2007/02/12 22:09:16  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.4  2006/12/28 15:05:29  glen
- rebuild due manpage on amd64 contains just null bytes

Revision 1.3  2006/05/07 15:33:35  areq
- Build with new openssl

Revision 1.2  2004/11/19 17:46:29  qboosh
- pl

Revision 1.1  2004/11/14 16:12:12  arekm
- initial pld release
